%define debug_package %{nil}

Name:       ocaml-http
Version:    0.1.5
Release:    %mkrel 7
Summary:    OCaml library for writing HTTP servers
License:    LGPL
Group:      Development/OCaml
URL:        http://ocaml-http.forge.ocamlcore.org/
Source0:    http://download.ocamlcore.org/ocaml-http/ocaml-http/%{version}/ocaml-http-%{version}.tar.gz
Patch0:     ocaml-http-0.1.5-test.sh.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-camlp4-devel
Requires:   ocaml-pcre
Requires:   ocaml-ocamlnet

%description
OCaml HTTP is a library for the Objective Caml programming language,
used to build simple HTTP servers, largely inspired to Perl's
HTTP::Daemon module.

In order to implement an HTTP servers the programmer has to provide a
daemon specification which contains, among other parameters, a callback
function invoked by OCaml HTTP on well formed HTTP requests received.
HTTP responses could be sent over an out_channel connected with client
socket, accessible from the callback.

The library contains also facility functions that helps in creating
well formed HTTP responses and a tiny HTTP client.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   ocaml-pcre-devel
Requires:   ocaml-ocamlnet-devel

%description devel
The %{name}-devel package contains libraries for developing applications
that use %{name}.

%prep
%setup -q -n ocaml-http_%{version}
%autopatch -p0

%build
make all opt
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/http
make install

%files
%doc README LICENSE TODO
%dir %{_libdir}/ocaml/http
%{_libdir}/ocaml/http/META
%{_libdir}/ocaml/http/*.cmi
%{_libdir}/ocaml/http/*.cma

%files devel
%doc doc/html
%doc examples
%{_libdir}/ocaml/http/*.a
%{_libdir}/ocaml/http/*.cmxa
%{_libdir}/ocaml/http/*.mli


%changelog
* Tue Feb 16 2016 pterjan <pterjan> 0.1.5-7.mga6
+ Revision: 961805
- Fix BuildRequires

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.5-6.mga6
+ Revision: 893234
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-5.mga5
+ Revision: 741158
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-4.mga5
+ Revision: 683047
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.5-3.mga4
+ Revision: 523158
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 blue_prawn <blue_prawn> 0.1.5-2.mga3
+ Revision: 406530
- should be requires not build requires
- should be requires not build requires

* Fri Mar 29 2013 blue_prawn <blue_prawn> 0.1.5-1.mga3
+ Revision: 406513
- build requires
- build requires camlp4
- imported package ocaml-http

